Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflow-executions
/
reset
/
bulk
Error
A valid request URL is required to generate request examples
{
  "results": [
    {
      "execution_id": "<string>",
      "ok": false,
      "new_run_id": "<string>",
      "error": "<string>"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
execution_ids
string[]
Required array length: 1 - 100 elements
Pattern: (wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/]((exec_[0-9a-zA-Z]+|exec-[\w-]+|(?:sch-[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})-.*))
event_id
integer | null

Temporal history event id to reset from. If omitted, reset uses start.

Required range: x >= 1
reason
string | null
Maximum string length: 1024
reapply_type
enum<string>
default:all_eligible
Available options:
all_eligible,
signal_only,
none

Response

Successful Response

results
WorkflowExecutionBulkResetItemResult · object[]